Bug 169332 - Gnumeric ships with bogus /usr/share/mc/templates/gnumeric.desktop file
Gnumeric ships with bogus /usr/share/mc/templates/gnumeric.desktop file
Product: Fedora
Classification: Fedora
Component: gnumeric (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-09-27 00:49 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-08 05:13:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-09-27 00:49:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.7.10-1.5.2

Description of problem:
gnumeric ships

However no parent package owns /usr/share/mc/templates
(mc is not a parent package of gnumeric)

I.e. if installing gnumeric without having mc installed,
/usr/share/mc/templates and /usr/share/mc
are unowned

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum install gnumeric
2. yum remove mc
3. rpm -qf /usr/share/mc /usr/share/mc/templates


Actual Results:  # rpm -qf /usr/share/mc /usr/share/mc/templates
file /usr/share/mc is not owned by any package
file /usr/share/mc/templates is not owned by any package

This causes these directories to stay around orphaned/unowned upon removing the gnumeric rpm.

Expected Results:  gnumeric should own

should not be shipped.

Additional info:
Comment 1 Ralf Corsepius 2005-09-27 00:50:45 EDT
Yet another alternative would be to put
into a subpackage (e.g. gnumeric-mc)
and let this subpackage
Requires: mc
Comment 2 Hans de Goede 2005-10-18 15:12:52 EDT
Thanks for reporting, I'll just own the dir instead of creating yet another

I concider this bug not worthy of a new release though, I'll fix it when
something that thus warrant a new release comes along.
Comment 3 Hans de Goede 2006-04-08 02:49:16 EDT
Hmm, this bug has long been "fixed" by a newer release I just forgot to close
it, on closer examination though it turns out that mc itself doesn't own
/usr/share/mc/templates only /usr/share/mc as /usr/share/mc/templates doesn't
seem to get used by mc at all, and the gnumeric.desktop file _really_ is a
.desktop file, so I'm leaving this bug open to track the fact that this entire
fire should be removed from the gnumeric package.
Comment 4 Hans de Goede 2006-04-08 05:13:07 EDT
I've fixed this for the devel branch its also fixed in FC-5 cvs but I don't want
to push a build there purely for this small fix. Once there is reason for a
build on FC-5 this will get picked up too.

Note You need to log in before you can comment on or make changes to this bug.